#include <iostream>
#include <bitset>
#include <cstdlib>
#include <ctime>

using namespace std;

uint64_t set_unused(int car_num, uint64_t in_use)
{
    in_use = in_use & ~(1<<car_num);
    return in_use;
}

int main()
{
    cout << "\nThe current time is " << time(0);
    srand(time(0));
    uint64_t fleet = rand()+100000*rand();

    short car_num{1};

    cout << "\nA car rental company has a fleet of 64 cars."
         << "\nThe cars in use or shown by 0's and the cars "
         << "\npresent are shown by 1's:" << endl;
    cout << bitset<64>(fleet);
    cout << "\nEnter a car number less than 64 to see if it's in use: ";
    cin >> car_num;
    cout << "\nThe fleet is now " << endl
         << bitset<64>(set_unused(car_num, fleet));
}
